/*
 * Copyright 2001, Olivier Chapuis. No guarantees or warantees or anything
 * are provided or implied in any way whatsoever. Use this program at your
 * own risk. Permission to use this program for any purpose is given,
 * as long as the copyright is kept intact. */

/* This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#if IMLIBS_FOR_FNH
#if FNH_PREFER_IMLIB2
#  define FNH_IMLIB  0
#  define FNH_IMLIB2 1
#elif IMLIB
#  define FNH_IMLIB  1
#  define FNH_IMLIB2 0
#endif
#else
# define FNH_IMLIB  0
# define FNH_IMLIB2 0
#endif

#if FNH_IMLIB || FNH_IMLIB2
#    define HAVE_AN_IMLIB 1
#endif

#if FNH_IMLIB
#include <Imlib.h>
#elif FNH_IMLIB2
#include <Imlib2.h>
#endif

#if FNH_IMLIB
#  define myImlibImage ImlibImage
#elif FNH_IMLIB2
#  define myImlibImage Imlib_Image
#endif
